#! /bin/bash

PLUGIN_NAME="FortiGate Address Mitigation"
MYPATH=`dirname $0`

. /usr/local/bin/common_functions

# Clear /etc/flowmon/pkg_versions.txt
cat /etc/flowmon/pkg_versions.txt | grep -v "$PLUGIN_NAME" > /tmp/pkg_versions.txt
move_file_safe /tmp/pkg_versions.txt /etc/flowmon/pkg_versions.txt

# Remove folder with the scripts
rm -rvf /data/components/fgt-mitigation

croncmd="/data/components/fgt-mitigation/ag-timeout.py 2>&1"
cronjob="03 * * * * $croncmd"
# remove it from CRON
( crontab -u flowmon -l | grep -v -F "$croncmd" ) | crontab -u flowmon -

# Remove service directory
cd /
rm -rvf $MYPATH

# schmitez
exit 0